Bug 1312010 - selinux-policy build contains warnings
selinux-policy build contains warnings
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
25
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 09:01 EST by Lukas Vrabec
Modified: 2017-12-12 06:04 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 06:04:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Vrabec 2016-02-25 09:01:50 EST
Description of problem:
selinux-policy build contains warnings

Version-Release number of selected component (if applicable):
selinux-policy-3.13.1-172.fc25

How reproducible:
Always

Steps to Reproduce:
1. fedpkg clone selinux-policy
2. fedpkg build

Actual results:
    File listed twice: /etc/selinux/targeted/contexts/files/file_contexts.bin
    File listed twice: /etc/selinux/targeted/contexts/files/file_contexts.homedirs.bin
    File listed twice: /etc/selinux/targeted/contexts/files/file_contexts.local.bin
    File listed twice: /etc/selinux/minimum/contexts/files/file_contexts.bin
    File listed twice: /etc/selinux/minimum/contexts/files/file_contexts.homedirs.bin
    File listed twice: /etc/selinux/minimum/contexts/files/file_contexts.local.bin
    File listed twice: /etc/selinux/mls/contexts/files/file_contexts.bin
    File listed twice: /etc/selinux/mls/contexts/files/file_contexts.homedirs.bin
    File listed twice: /etc/selinux/mls/contexts/files/file_contexts.local.bin
    File listed twice: /var/lib/selinux/mls/active/modules/100/unprivuser
    File listed twice: /var/lib/selinux/mls/active/modules/100/unprivuser/cil
    File listed twice: /var/lib/selinux/mls/active/modules/100/unprivuser/hll
    File listed twice: /var/lib/selinux/mls/active/modules/100/unprivuser/lang_ext

Expected results:
No twice listed files
Comment 1 Jan Kurik 2016-07-26 00:38:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 2 Fedora End Of Life 2017-11-16 13:43:42 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2017-12-12 06:04:14 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.